Bug 167885 - Review Request: libpolyxmass - Polymer chemistry-related functionalities
Review Request: libpolyxmass - Polymer chemistry-related functionalities
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.polyxmass.org
:
Depends On:
Blocks: FE-ACCEPT 167887
  Show dependency treegraph
 
Reported: 2005-09-09 03:36 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 19:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-09-09 03:36:06 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/libpolyxmass.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/libpolyxmass-0.8.9-1.src.rpm
Description:
libpolyxmass is a library that implements some housekeeping
functionalities and polymer chemistry-related functionalities that are
used in the other modules of the GNU polyxmass mass spectrometry
framework. It was born as the merge of the two libpxmutils and
libpxmchem libraries (last versions of these two libraries were for
both 0.7.0). This fact is still visible as the files do have either
"pxmutils-" or "pxmchem-" as prefix in their name. This nomenclature
is going to be maintained as it helps understanding the
functionalities that are housed in the different files of the new
library.
Comment 1 John Mahowald 2005-10-20 12:25:24 EDT
Missing BuildRequires: glib2-devel

Minor: rpmlint wants changelog version on the same line: 

W: libpolyxmass no-version-in-last-changelog
W: libpolyxmass-debuginfo no-version-in-last-changelog
W: libpolyxmass-devel no-version-in-last-changelog
Comment 2 Andreas Bierfert 2005-10-20 16:07:03 EDT
fixed missing BR.

changelog in this case is ok because my name is (to) long...
http://fedora.lowlatency.de/review/libpolyxmass-0.8.9-2.src.rpm
http://fedora.lowlatency.de/review/libpolyxmass.spec
Comment 3 John Mahowald 2005-10-20 18:15:43 EDT
The URL line is longer, but oh well.

- license good (GPL), text in %doc
- name follows guidelines
- spec file easily read
- builds on FC4 i386
- rpmlint only warns about changelog, can ignore
- used %find_lang macro
- sources match upstream
- no missing/unneeded BuildRequires
- consistent macro usage
- %post and %postun ldconfig
- devel package only installs a symlink, no need for ldconfig
- %clean good
- *.la removed

However,
- no %defattr for devel package
Comment 5 John Mahowald 2005-10-20 20:54:48 EDT
Looks good with the defattr added.

APPROVED
Comment 6 Andreas Bierfert 2005-10-21 19:29:56 EDT
Thanks for the review... :)

Note You need to log in before you can comment on or make changes to this bug.